Search results that redirect to specific sections of articles don't work
Closed, ResolvedPublic

Description

If a link (such as a redirect) includes a hash link to a particular section, it should take the user to the specified section of the article. Currently, it just takes the user to the top of the article.

For example, [[Jingle Bells, Batman Smells]] should go to the "Parodies and homages" section of the redirect target.


Version: Android (alpha)
Severity: normal

Details

Reference
bz65496
bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz65496.
bzimport added a subscriber: Unknown Object (MLST).
Ragesoss created this task.May 19 2014, 5:29 PM
Dbrant renamed this task from Links to specific sections of articles don't work to Search results that redirect to specific sections of articles don't work.Aug 11 2015, 2:21 PM
Dbrant set Security to None.
Dbrant removed subscribers: Deskana, wikibugs-l-list.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 2:21 PM

Change 257603 had a related patch set uploaded (by Dbrant):
Improve handling of fragments in redirected search results.

https://gerrit.wikimedia.org/r/257603

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 8 2015, 2:58 PM

Change 257603 merged by jenkins-bot:
Improve handling of fragments in redirected search results.

https://gerrit.wikimedia.org/r/257603

Dbrant claimed this task.Dec 10 2015, 3:31 PM
Dbrant moved this task from Bug Backlog to Current Sprint on the Wikipedia-Android-App-Backlog board.
Etonkovidova added a subscriber: Etonkovidova.EditedDec 11 2015, 8:16 PM

Fixed - checked with 2.1.136-alpha-2015-12-11 on Nexus 5 (Android 5.1.1).

Note:

  • interestingly that the search phrase 'jingle bells, batman smells' should be entered with a comma and a proper space after the comma - otherwise, the referring link leads to the top of the article 'Jingle Bells' not to Jingle Bells-Parodies and homages
  • it's a very good test case.
Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM